Skip to Content
EIS
API Referencev1Services

Get a Catalog Service Option

GET
/v1/service/option/{optionId}

Retrieve an original catalog option by identifier. Requires the service_view authority.

Path Parameters

optionId*integer

Service option identifier.

Response Body

Service option retrieved successfully.

application/json
  1. response
id?integer

Service option identifier.

name?|
Lengthlength <= 200
supplierProductId?|
Lengthlength <= 200
optionType?integer

Option type identifier.

supplierOptionId?|
Lengthlength <= 200
service?|null
Example Request
curl -X GET 'https://api.eis.it/v1/service/option/0'
Example Response
{  "id": 0,  "name": "string",  "supplierProductId": "string",  "optionType": 0,  "supplierOptionId": "string",  "service": {    "id": 0,    "name": "string",    "serviceProvider": {      "id": 0,      "name": "string",      "description": "string"    },    "carrier": {      "id": 0,      "name": "string"    },    "type": {      "id": 0,      "name": "string"    },    "supplierProductId": "string"  }}